[package]
name = "desfire"
version = "0.2.0-alpha3"
authors = [
  "Kai Jan Kriegel <kai@kjkriegel.de>",
  "Alexander Sieg <crates@xanderio.de>",
  "Nadja Reitzenstein <me@dequbed.space>"
]
edition = "2021"
license = "MIT OR Apache-2.0"
description = "Library for interfacing with Mifare Desfire cards."
repository = "https://gitlab.com/fabinfra/fabaccess/nfc_rs"

#See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
des = "0.7.0"
aes = "0.7.5"
block-modes = "0.8.1"
simple-error = "0.2.3"
hex = "0.4.3"
num-traits = "0.2.14"
num-derive = "0.3.3"
rand = "0.8.4"

[dev-dependencies]
hex-literal = "0.3.4"
mockall = "0.11.0"
pcsc = "2.6.0"
